PeopleForce
Holidays

Deprecated

Company API v1 is deprecated and will be removed in a future release. Migrate to a newer version — v4 is the latest. Use the version switcher in the header.

Update a holiday

PUT
/api/public/v1/holidays/{id}

Path Parameters

id*integer

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/public/v1/holidays/0" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'name=string'
{  "data": {    "id": 0,    "name": "string",    "occurs_on": "string",    "starts_on": "string",    "ends_on": "string",    "working": true,    "compensated_on": null,    "observed_on": null,    "holiday_policy_id": 0,    "created_at": "string",    "updated_at": "string"  }}